package card

import (
	"jcjy/demo/models"
	"spaceofcheng/services/models/model"
	"strconv"

	"github.com/yl10/kit/guid"
)

// GetCardImgsByCardID 根据卡id获取卡图片
func (m *CardDAO) GetCardImgsByCardID(cardid string) ([]model.TaExperienceCardImage, error) {
	var imgs []model.TaExperienceCardImage
	err := m.db.Where("card_id=?", cardid).And("status>" + strconv.Itoa(models.STATUS_DEL)).Find(&imgs)
	return imgs, err
}

// UpdateImages 更新图片 -- 插入或者更新
func (m *CardDAO) UpdateImages(imgs []model.TaExperienceCardImage, cardID string) error {
	if imgs == nil || len(imgs) == 0 {
		return nil
	}

	for i := range imgs {
		imgs[i].CardId = cardID

		if imgs[i].CardImageId == "" {
			imgs[i].CardImageId = guid.NewGUIDString()
		}
	}

	sql := `delete from ta_experience_card_image where card_id=?`
	if _, err := m.db.Exec(sql, cardID); err != nil {
		return err
	}

	if _, err := m.db.Insert(imgs); err != nil {
		return err
	}

	return nil
}
